Subject: Re: bug#38320: Cuirass: Allow to use authenticated Git repositories as inputs

From: Ludovic Courtès <[email-masked]>
Date: Thu, 12 Dec 2019 14:15:26 +0100

Hey ho!

Clément Lassieur <[email-masked]> skribis:

> Whoo, nice, thank you so much Mathieu!  I'll test everything this
> week-end probably, and start working on the (guix git) / Cuirass
> counterpart (which is 1% of the work :D).

Neat!

>> So "latest-repository-commit" could be call with ssh authentication
>> parameters. However, the guix-daemon won't be able to communicate with the
>> user ssh-agent, and storing an unencrypted private ssh key in the store
>> doesn't feel great to me.
>>
>> Do you see any workaround?
>
> As far as I understand, LATEST-REPOSITORY-COMMIT is never called by the
> daemon, it downloads stuff first and then calls ADD-TO-STORE.  So both
> using the SSH agent or passing a private SSH key should be
> straightforward.

Indeed.  ‘guix pull --url’ and ‘guix build --with-git-url’ (and similar)
should work just fine.

Thanks!

Ludo’.